## libnginx-mod-http-push-stream 0.6.0%2Bdfsg

=== debian/changelog ===
libnginx-mod-http-push-stream (0.6.0+dfsg-4build3) resolute; urgency=medium

  * Rebuild against new nginx-abi-1.28.2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Feb 2026 22:02:49 +0100

libnginx-mod-http-push-stream (0.6.0+dfsg-4build2) resolute; urgency=medium

  * Rebuild against new nginx 1.28.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 14:16:10 +0100

libnginx-mod-http-push-stream (0.6.0+dfsg-4build1) questing; urgency=medium

  * Rebuild against new nginx 1.28.0..

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Aug 2025 00:04:59 +0200

libnginx-mod-http-push-stream (0.6.0+dfsg-4) unstable; urgency=medium

  * Add docs
  * Bump Standards-Version, no change required

 -- Jérémy Lal <kapouer@melix.org>  Sat, 22 Mar 2025 10:55:22 +0100

libnginx-mod-http-push-stream (0.6.0+dfsg-3) unstable; urgency=medium

  * Remove test copied from another nginx mod

 -- Jérémy Lal <kapouer@melix.org>  Thu, 13 Feb 2025 16:54:33 +0100

libnginx-mod-http-push-stream (0.6.0+dfsg-2) unstable; urgency=medium

  * Source-only upload 

 -- Jérémy Lal <kapouer@melix.org>  Mon, 10 Feb 2025 15:14:28 +0100

libnginx-mod-http-push-stream (0.6.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1080314)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 06 Nov 2024 19:33:55 +0100

## libnginx-mod-http-push-stream 0.6.0+dfsg

=== misc/tools/Makefile ===
all: publisher subscriber 

subscriber: subscriber.o util.o
	gcc -g -Oo subscriber.o util.o -o subscriber -largtable2

publisher: publisher.o util.o
	gcc -g -Oo publisher.o util.o -o publisher -largtable2

subscriber.o: subscriber.c
	gcc -g -c subscriber.c

publisher.o: publisher.c
	gcc -g -c publisher.c

util.o: util.c
	gcc -g -c util.c

clean:
	rm -rf *o publisher subscriber

=== debian/control ===
Source: libnginx-mod-http-push-stream
Section: httpd
Priority: optional
Maintainer: Debian Nginx Maintainers <pkg-nginx-maintainers@alioth-lists.debian.net>
Uploaders: Jérémy Lal <kapouer@melix.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-nginx,
               nginx-dev (>= 1.24.0-2),
Standards-Version: 4.7.2
Homepage: https://github.com/wandenberg/nginx-push-stream-module
Vcs-Git: https://salsa.debian.org/nginx-team/libnginx-mod-http-push-stream.git
Vcs-Browser: https://salsa.debian.org/nginx-team/libnginx-mod-http-push-stream
Rules-Requires-Root: no

Package: libnginx-mod-http-push-stream
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: nginx,
Description: HTTP push stream module for Nginx
 This module lets Nginx handles HTTP push streams like
 Event Source, WebSocket, Long Polling, JSONP, M-JPEG, and more.
